<template>
  <q-item
    clickable
    @click="navigate(path)"
  >
    <q-item-section
      v-if="icon"
      avatar
    >
      <q-icon :name="icon" />
    </q-item-section>

    <q-item-section>
      <q-item-label>{{ title }}</q-item-label>
      <q-item-label caption>{{ caption }}</q-item-label>
    </q-item-section>
  </q-item>
</template>

<script>
import { defineComponent } from 'vue'
import { useRouter } from "vue-router";

export default defineComponent({
  name: 'EssentialLink',
  props: {
    title: {
      type: String,
      required: true
    },

    caption: {
      type: String,
      default: ''
    },

    path: {
      type: String,
      default: '#'
    },

    icon: {
      type: String,
      default: ''
    }
  },

  setup(){
   const router = useRouter();

    return {
      navigate(pathName) {
        router.push({ name: pathName });
      },
    }
  }
})
</script>
